Bug 1311898 - Double-quotes not working in constants in DataIOEditor
Double-quotes not working in constants in DataIOEditor
Status: MODIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeremy Lindop
Kirill Gaevskii
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-25 04:55 EST by Jeremy Lindop
Modified: 2016-04-25 05:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ConsoleError (312.44 KB, image/png)
2016-02-25 04:55 EST, Jeremy Lindop
no flags Details

  None (edit)
Description Jeremy Lindop 2016-02-25 04:55:53 EST
Created attachment 1130461 [details]
ConsoleError

Description of problem:
If the user tries to create a constant with double quotes, e.g. value="this"  in the DataIOEditor, the constant is not saved correctly.

Version-Release number of selected component (if applicable):
6.2.0.GA

Steps to Reproduce:
1. Create a BP with a User Task
2. Add a DataInput to the task
3. Set the source of the DataInput to a constant which includes double-quotes

Actual results:
When the user clicks the "OK" button, sometimes there is no response (but there's an error in the browser's debug console) and sometimes the constant is apparently saved, but when the BP is saved then reopened, the constant is missing the double-quote characters.

Expected results:
Constants should allow double-quote characters.

Additional info:
See attached image
Comment 2 Jeremy Lindop 2016-04-22 09:37:22 EDT
To reproduce this problem in jbpm-6.4.0.Final:

- Create a BP
- Add a User Task
- Open the Data I/O Editor for the task
- Add a Data Input called "input1" and set the source to the constant "hello", including the double-quote characters at the beginning and end. When the focus leaves the Source text-box, the UI should say ""hello"" indicating that the constant is "hello", with a double-quote before and after the word.
- Click the Save button on the Data I/O Editor
- Open the Data I/O Editor for the task (source still says ""hello"" at this point)
- Click the Save button on the Data I/O Editor
- Open the Data I/O Editor for the task - at this point, the Source value says "hello", i.e. the constant itself has lost its start and end double-quote.

Note You need to log in before you can comment on or make changes to this bug.